#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);
    int m = n, v = n*2;

    for (int i = 1; i <= n; ++i) {
        if (i % 2 == 0) {
            printf("%d ", v--);
        } else {
            printf("%d ", m--);
        }

    }
    printf("\n");
    for (int i = 1; i <= n; ++i) {
        if (i % 2 == 0) {
            printf("%d ", m--);
        } else {
            printf("%d ", v--);
        }
    }

    return 0;
}